Best version of Traktor ? - Page 2
Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 25
  1. #11
    DJTT Ninja Mod tekki's Avatar
    Join Date
    Apr 2008
    Location
    Afterhour Ali's lap
    Posts
    11,353

    Default

    still using 3.4.x, but might go over to pro soon. (as that the new version might have the ability to map pitch bending to my rotaries)
    RSTRCTD | twitter | facebook (RSTRCTD) facebook (LJ) | vimeo | pinterest | my studio | soundcloud (RSTRCTD)| soundcloud (LJ)
    -- CHECK our DEBUT (DEEP)HOUSE EP RELEASE ON BEATPORT "RSTRCTD - EXISTENCE" --

  2. #12

    Default

    i use 1.2 it rocks but i never had traktor 3 so i can' t say about that
    the new vci djtt mapping works cool!

  3. #13
    Newbie
    Join Date
    Jun 2009
    Posts
    3

    Default

    Quote Originally Posted by Karlos Santos View Post
    T3.3 use an outdated Collection standard.
    T3.4 uses the Unicode Standard which is compatible with Traktor Pro.
    ugh, this killed me to hear. i've been using 3.3 for 3 years now and thought i would be able to transfer my collection to tpro when i finally got the cash together to upgrade. is there no work around to transfer collections between 3.3 and subsequent versions?

  4. #14
    Retired DJTT Moderator DvlsAdvct's Avatar
    Join Date
    Mar 2008
    Location
    New Jersey/NYC
    Posts
    4,854

    Default

    Chikago, the problem isn't going up, it's going back down. The collection in Traktor Pro can't be read in T3.3, but it can in T3.4. But you can load the collection FROM T3.3 to TPro. Just back it up and everything so if you need to go back you don't lose it.
    It's the FAQ. Read it.

    My Mixes, Mashups and Rants

    Divided we stand
    United we fall

  5. #15
    DJTT Moderator bloke Karlos Santos's Avatar
    Join Date
    Oct 2008
    Location
    Next to a canal in England.
    Posts
    9,028

    Default

    True. Make a backup of your T3.3 collection and then you can use a copy to upgrade to PRO. Pro will give you a warning that the collection will be irrevocably changed.

  6. #16
    Dr. Bento BentoSan's Avatar
    Join Date
    Mar 2008
    Location
    Perth, Australia
    Posts
    6,383

    Default

    Joke: The best version of Traktor is Serato Itch

    Serious: I have been testing out Traktor Pro 1.2 and so far it hasn't crashed on me *touch wood* - if you reeaaaally need assured stability though i personally found that 1.1.2 has been the most stable version of Traktor i have used so far, i have tested the absolute hell out of it and it runs really well in my experience. Thats not to say that Traktor 1.2 isnt as stable, its just that i haven't tested it as much as 1.1.2. these versions are certainly more stable than any version of Traktor 3 i have used.

  7. #17
    Tech Wizard rallevondalle's Avatar
    Join Date
    Oct 2008
    Location
    Denmark
    Posts
    81

    Default

    In my opinion Traktor 1.1.2 has been more than reliable - I've never experienced a crash and it has been worked my good people

    Will have my first gig with 1.2 this saturday and hopefully no crashes *touching some more wood*.

    Tried TPro 1.1.2 with Snow Leopard as well, but went straight back to 10.5.8. Don't know how 1.2 acts in SL though?

  8. #18
    Tech Guru
    Join Date
    Dec 2008
    Location
    Atlanta/Miami
    Posts
    658

    Default

    I'm surprised you guys aren't using pro, I have never really had issues with 1.12. My laptop has 4gb of ram though. Just out of curiousity, what are the reasons you stick with 3.3/3.4? (keylock? beatmasher? moddable interface?)

    ed. I have never had a crash at any gig with pro
    FIX8:OSCill8
    My Rig: Macbook 13" (2.16ghz 4gb crucial ram), VCI-100 custom paint, Korg Nanopad, Axiom 25, DJIO

  9. #19
    Dr. Bento BentoSan's Avatar
    Join Date
    Mar 2008
    Location
    Perth, Australia
    Posts
    6,383

    Default

    Quote Originally Posted by mpetersen3 View Post
    I'm surprised you guys aren't using pro, I have never really had issues with 1.12. My laptop has 4gb of ram though. Just out of curiousity, what are the reasons you stick with 3.3/3.4? (keylock? beatmasher? moddable interface?)

    ed. I have never had a crash at any gig with pro
    probably because it means they have to re beatgrid their collections and make new mapping files - that can be a bit of a buzz killer for alot of people

  10. #20
    DJTT Dominator JesC's Avatar
    Join Date
    May 2008
    Location
    127.0.0.1
    Posts
    5,612

    Default

    The reason why I still play on 3.4 is the transport buttons, Im big on Instant Play/Cue & Play/Cue (HOLD). It Tpro its hard to achieve this without having to trick traktor.
    Controllerist: Think different | SoundCloud | MixCloud | Twitter |

Page 2 of 3 FirstFirst 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •